Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.om
Class Navigator.FollowingEnumeration

    java.lang.Object
      net.sf.saxon.om.AxisIteratorImpl
          net.sf.saxon.om.Navigator.BaseEnumeration
              net.sf.saxon.om.Navigator.FollowingEnumeration

All Implemented Interfaces:
  AtomizableIterator, AxisIterator, SequenceIterator

Enclosing class:
  Navigator

public static final class Navigator.FollowingEnumeration
extends Navigator.BaseEnumeration

General purpose implementation of the following axis, in terms of the ancestor, child, and following-sibling axes

Field Summary

Fields inherited from class net.sf.saxon.om.AxisIteratorImpl
`current, position`

Fields inherited from interface net.sf.saxon.om.SequenceIterator
`ATOMIZABLE, GROUNDED, LAST_POSITION_FINDER, LOOKAHEAD`

Constructor Summary
`Navigator.FollowingEnumeration(NodeInfo start)`

Method Summary
`void` | `advance()` The advance() method must be provided in each concrete implementation.
`SequenceIterator` | `getAnother()` Get another iterator over the same sequence of items, positioned at the start of the sequence.

Methods inherited from class net.sf.saxon.om.Navigator.BaseEnumeration
`next`

Methods inherited from class net.sf.saxon.om.AxisIteratorImpl
`current, getProperties, isAtomizing, position, setIsAtomizing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Navigator.FollowingEnumeration

    public Navigator.FollowingEnumeration(NodeInfo start)

Method Detail

### advance

    public void advance()

  Description copied from class: `Navigator.BaseEnumeration`
  The advance() method must be provided in each concrete implementation. It must leave the variable current set to the next node to be returned in the iteration, or to null if there are no more nodes to be returned.

  Specified by:
    `advance` in class `Navigator.BaseEnumeration`

### getAnother

    public SequenceIterator getAnother()

  Description copied from interface: `AxisIterator`
  Get another iterator over the same sequence of items, positioned at the start of the sequence. It must be possible to call this method at any time, whether none, some, or all of the items in the original iterator have been read. The method is non-destructive: it does not change the state of the original iterator.

  Specified by:
    `getAnother` in interface `AxisIterator`
  Specified by:
    `getAnother` in class `Navigator.BaseEnumeration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD